WordPress.org

Ready to get started?Download WordPress

Forums

WooCommerce Twitter's Bootstrap
[resolved] Plugin - Isn't working (6 posts)

  1. lozadaOmr
    Member
    Posted 7 months ago #

    Good day,

    I have tried using your plugin, but unfortunately I don't think that it is working. I am quite sure that it says I was suppose to just activate the plugin after installing. But doing that I don't see any difference.

    I have set it to display 4 columns per row, using Bootstrap 3.0

    My website can be found here

    http://wordpress.org/plugins/woocommerce-twitterbootstrap/

  2. bassjobsen
    Member
    Plugin Author

    Posted 7 months ago #

    hi @lozadaOmr

    Thanks for posting your issue. I tried your link. You are using the default WP Twentythirteen theme. AFAIK Twentythirteen doesn't use or include Twitter's Bootstrap.

    The plugin only works for themes which include Twitter's Bootstrap. So please try a Bootstrap ready theme. Example of a Bootstrap ready theme: https://github.com/bassjobsen/jamedo-bootstrap-start-theme

    Please let me know this will fix your troubles.

  3. lozadaOmr
    Member
    Posted 7 months ago #

    Thank you @bassjobsen

    for the quick response,

    I'll let you know if it got fixed, since we are having server issues.

    I was also wondering, will this work if I used a custom-bootstrap theme where I converted it to a WordPress or does it have to specifically use your bootstrap theme?

  4. bassjobsen
    Member
    Plugin Author

    Posted 7 months ago #

    hi @lozadaOmr,

    I don't have to use JBST. You can use any wordpress theme as long as it includes Bootstrap's CSS.

    Not i also wrote a plugin to include Bootstrap, see http://wordpress.org/plugins/custom-bootstrap-editor/

    Bootstrap's javascript's plugins are not required to use the plugin.

    Theoretical i can include Bootstrap's CSS in every theme by adding to your header.php

    <link rel="stylesheet" href="//netdna.bootstrapcdn.com/bootstrap/3.0.3/css/bootstrap.min.css">

    I will expect CSS conflicts in most cases, in the first place cause both the theme's CSS and Bootstrap's CSS will use a CSS reset.

    I didn't investigate option to only include Bootstrap's grid classes or apply the grid classes specific on the Woocommerce's elements (see also: http://stackoverflow.com/questions/13564065/twitter-bootstrap-tooltips-not-working-with-prefix-in-css/20181272 or / and http://stackoverflow.com/questions/19978916/twitter-bootstrap-3-custom-multiple-themes).

  5. lozadaOmr
    Member
    Posted 7 months ago #

    I tried using the JBST theme, but unfortunately our server don't server has not allocated enough memory and had errors using it.

    I then tried using Customizr theme and still it doesn't display properly, although I'm guessing that it is because Customizr doesn't declare WooCommerce support.

    Anyway thank you for your help @bassjobsen

  6. bassjobsen
    Member
    Plugin Author

    Posted 7 months ago #

    hi @lozadaOmr,

    Thanks for testing, trying and reporting!

    >I tried using the JBST theme, but unfortunately our server don't server
    > has not allocated enough memory and had errors using it.

    I don't understand the memory problem. Maybe something become in a loop. I will be happy to know the errors, so i can fix them. Please post your issues about JBST on: https://github.com/bassjobsen/jamedo-bootstrap-start-theme/issues

    >I then tried using Customizr theme and still it doesn't display >properly, although I'm guessing that it is because Customizr doesn't >declare WooCommerce support.

    You could easy add WooCommerce support to Customizr.
    make a copy of custom-page.php to woocommerce.php. In this file replace the post-loop with <?php woocommerce_content(); ?> as described on http://docs.woothemes.com/document/third-party-custom-theme-compatibility/

    Unfortunately after doing this the plugin still don't work as expected, see: http://mystile.w3masters.nl/?post_type=product

    Customizr use Twitter's Bootstrap v2. I can't find out it also used the latest 2.3.2 version. I will test more v2 theme later. If there is an issue with TB v 2.3.2 i will try to fix this a.s.a.p.

Reply

You must log in to post.

About this Plugin

About this Topic